List Job Recipes
curl --request GET \
--url https://api.dispersed.com/v1/job-recipesimport requests
url = "https://api.dispersed.com/v1/job-recipes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dispersed.com/v1/job-recipes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"object": "job_recipe",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"payload": {
"title": "<string>",
"parameters": {
"parameters": {
"allowed_ips": [
"<string>"
],
"env": {},
"host": "<string>",
"image": "<string>",
"imagesrc": "<string>",
"ports": [
123
],
"secret": "<string>",
"sshkey": "<string>",
"tag": "<string>",
"user": "<string>",
"volumes": [
{
"image": "<string>",
"mount": "<string>",
"registry": "<string>",
"secret": "<string>",
"tag": "<string>",
"user": "<string>"
}
]
},
"type": "docker"
},
"min_vram_gb": 123,
"min_ram_gb": 123,
"min_storage_gb": 123,
"cpu_count": 4,
"gpu_count": 1,
"description": "<string>",
"max_timeout_assign_ms": 123,
"max_timeout_run_ms": 123,
"max_timeout_start_ms": 123,
"gpu_name": "RTX 3090",
"gpu_registry_uuid": "01234567-89ab-cdef-0123-456789abcdef",
"image_size_bytes": 2147483648,
"max_node_count": 123,
"max_retry_count": 123,
"allowed_region_codes": []
},
"is_official": true,
"last_used_at": "2023-11-07T05:31:56Z",
"usage_count": 123,
"fork_count": 123,
"uuid": "<string>",
"quickstart_md": "<string>",
"input_schema": [
{
"key": "<string>",
"label": "<string>",
"required": true,
"description": "<string>",
"placeholder": "<string>",
"default_value": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
],
"thumbnail_url": "<string>",
"is_owner": true,
"forked_from_recipe_uuid": "<string>",
"created_by_account_uuid": "<string>",
"created_by_account": {
"uuid": "<string>",
"email": "<string>"
}
}
],
"limit": 123,
"page": 123,
"total": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}Job Recipes
List Job Recipes
GET
/
v1
/
job-recipes
List Job Recipes
Query Parameters
Required range:
1 <= x <= 50Example:
1
Required range:
1 <= x <= 9007199254740991Example:
1
Example:
"created_at OR -created_at"
⌘I